Loading...
Searching...
No Matches
make_value.hpp File Reference

## Description

Provides bsoncxx::v_noabi::types::bson_value::make_value.

Go to the source code of this file.

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::types
| Declares entities representing BSON value types.
namespace | bsoncxx::types::bson_value
| Declares entities representing any BSON value type.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::types
| Declares entities representing BSON value types.
namespace | bsoncxx::v_noabi::types::bson_value
| Declares entities representing any BSON value type.

## Functions

template<typename T>
bson_value::value | bsoncxx::types::bson_value::make_value (T &&t)
| Helper to construct a bson_value::value from a component bson type. The type of the passed-in t can be anything that builder::basic::sub_document::append accepts.
template<typename T>
bson_value::value | bsoncxx::v_noabi::types::bson_value::make_value (T &&t)
| Helper to construct a bson_value::value from a component bson type. The type of the passed-in t can be anything that builder::basic::sub_document::append accepts.